summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Hunter Sezen2017-07-09 20:53:30 +0200
committer David Spencer2017-07-12 17:39:18 +0200
commit86ab0896f4acd048936a6c4c69228bc5575d9319 (patch)
tree54b7f931d53f192439e7a61d69f13eff69390723 /games
parentd44c54d57c5fd5b8ad08d2f510fe0133670acb3d (diff)
downloadslackbuilds-86ab0896f4acd048936a6c4c69228bc5575d9319.tar.gz
games/pioneer: Updated for version 20170415.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/pioneer/pioneer.SlackBuild33
-rw-r--r--games/pioneer/pioneer.info6
2 files changed, 21 insertions, 18 deletions
diff --git a/games/pioneer/pioneer.SlackBuild b/games/pioneer/pioneer.SlackBuild
index 1adf9754e4..e6d4cfdd82 100644
--- a/games/pioneer/pioneer.SlackBuild
+++ b/games/pioneer/pioneer.SlackBuild
@@ -23,7 +23,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=pioneer
-VERSION=${VERSION:-20161129}
+SRCNAM=$(printf %s $PRGNAM | tr [a-z] [A-Z])
+VERSION=${VERSION:-20170415}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -54,7 +55,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -69,15 +70,15 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-DATADIR=${DATADIR:-/usr/share/games}
+DATADIR="${DATADIR:-/usr/share/games}"
-if [ "${DEBUG:-no}" = "yes" ]; then
- debug="--enable-debug \
+if [ "${DEBUG:-no}" = yes ]; then
+ debug='--enable-debug \
--with-no-optimise \
- --with-fno-inline"
- SLKCFLAGS=$(echo $SLKCFLAGS | sed 's/-O2/-O0/')
+ --with-fno-inline'
+ SLKCFLAGS="$(printf %s "$SLKCFLAGS" | sed 's/-O2/-O0/')"
else
- debug="--with-strip"
+ debug='--with-strip'
fi
# Generate the configure file
@@ -99,25 +100,27 @@ make install DESTDIR=$PKG
mkdir -p $PKG/usr/share/applications
cat > $PKG/usr/share/applications/$PRGNAM.desktop <<EOF
[Desktop Entry]
-Name=$(echo "${PRGNAM^}")
+Name=$SRCNAM
Exec=$PRGNAM
Icon=$PRGNAM
Type=Application
-Comment=$(echo "${PRGNAM^}") (space adventure game)
+Comment=$SRCNAM (space adventure game)
Categories=Game;AdventureGame;
EOF
# Add missing icons to package
for pngicon in application-icon/pngs/*.png ; do
- if [ -f $pngicon ]; then
- size=$(basename "${pngicon##*-}" .png)
- install -D -m644 $pngicon $PKG/usr/share/icons/hicolor/$size/apps/$PRGNAM.png
+ if [ -f "$pngicon" ]; then
+ size="$(basename "${pngicon##*-}" .png)"
+ install -D -m644 "$pngicon" \
+ $PKG/usr/share/icons/hicolor/$size/apps/$PRGNAM.png
fi
done
-install -D -m644 application-icon/badge-full.svg $PKG/usr/share/icons/hicolor/scalable/apps/$PRGNAM.svg
+install -D -m644 application-icon/badge-full.svg \
+ $PKG/usr/share/icons/hicolor/scalable/apps/$PRGNAM.svg
# Remove empty .gitignore files
-find $PKG -name ".gitignore" -exec rm -f {} \;
+find $PKG -name '.gitignore' -exec rm -f {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a licenses *.txt README.md $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/games/pioneer/pioneer.info b/games/pioneer/pioneer.info
index b3eb595511..dff88e9020 100644
--- a/games/pioneer/pioneer.info
+++ b/games/pioneer/pioneer.info
@@ -1,8 +1,8 @@
PRGNAM="pioneer"
-VERSION="20161129"
+VERSION="20170415"
HOMEPAGE="https://pioneerspacesim.net/"
-DOWNLOAD="https://github.com/pioneerspacesim/pioneer/archive/20161129/pioneer-20161129.tar.gz"
-MD5SUM="c6be416ec00adca72a10343d04a7e4a8"
+DOWNLOAD="https://github.com/pioneerspacesim/pioneer/archive/20170415/pioneer-20170415.tar.gz"
+MD5SUM="e8f1a5856ac415188091305a864053c2"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="SDL2_image assimp"